Jump to:

17452 Posts in 4473 Topics by 1971 members

Archive

SilverStripe Forums » Archive » Error-Message in Security-Module after fresh install

Our old forums are still available as a read-only archive.

Moderators: martimiz, Sean, biapar, Willr, Ingo, simon_w

Page: 1
Go to End
Author Topic: 1433 Views
  • SilverDay
    Avatar
    Community Member
    6 Posts

    Error-Message in Security-Module after fresh install Link to this post

    I just installed the latest build of Silverstripe (2.2.2) and get the following error-message when I click on a group-name in the left colum (eg. administrators):
    .
    Fatal error: Access to undeclared static property: ViewableData::$db in /var/www/web8/html/sapphire/core/Object.php(324) : eval()'d code on line 1
    .
    I have changed nothing in the files! This message comes after a fresh installation. The installation file said everything was fine (no problems indicated). Can anybody help?
    .
    I should add that my server is running PHP 5.1.2

  • SilverDay
    Avatar
    Community Member
    6 Posts

    Re: Error-Message in Security-Module after fresh install Link to this post

    I just updated my server to PHP 5.2.6 and now it works fine. Maybe you should make it a system requirement to have PHP > 5.2 and have the installer output a warning.

    Regards

    SilverDay

    1433 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.